# @leafygreen-ui/lib

## 9.5.0-next.2

### Patch Changes

- 659251a3: Fixes back tsconfig build
- Updated dependencies [659251a3]
  - @leafygreen-ui/emotion@4.0.2-next.2

## 9.5.0-next.1

### Patch Changes

- 87a90f46: Update tsdoc gen and storybook
- Updated dependencies [87a90f46]
  - @leafygreen-ui/emotion@4.0.2-next.1

## 9.5.0-next.0

### Minor Changes

- 00a2a281: Exports storybook config objects, and package.tsconfig

### Patch Changes

- 00a2a281: Updates Storybook configs
- b70fe564: Updates `tsdoc.json` file
- Updated dependencies [b70fe564]
  - @leafygreen-ui/emotion@4.0.2-next.0

## 9.4.2

### Patch Changes

- 8d7534e9: Adds `tsdoc.json` to published package files
- Updated dependencies [8d7534e9]
  - @leafygreen-ui/emotion@4.0.1

## 9.4.1

### Patch Changes

- 95f1e63a: Fixes a bad build where `getTheme` was not properly exported

## 9.4.0

### Minor Changes

- 99e20bb9: Reusable DarkModeProps and darkMode prop for LeafygreenProvider

### Patch Changes

- 85d46871: Adds `lodash` as an explicit dependency of `lib`. Imports `lodash` utility in a tree-shakable way

## 9.3.0

### Minor Changes

- 422dbfcd: Adds `Backspace` and `Delete` to `keyMap`

## 9.2.1

### Patch Changes

- 2cf1bc4a: Adding prefix functionality to createUniqueClassName

## 9.2.0

### Minor Changes

- acd6919: Publish createUniqueClassName so className values can be shared across components without conflicts
- acd6919: Exports `getNodeTextContent` from `lib`

## 9.1.0

### Minor Changes

- d661688: Adds basic console functions (error, warn, and log) wrapped in lodash.once

## 9.0.1

### Patch Changes

- cec710ad: Upgrades Polished to v4.1

## 9.0.0

### Major Changes

- b8f03aa1: Bumps `react` peer dependency to v17

### Patch Changes

- Updated dependencies [f6e5655a]
  - @leafygreen-ui/emotion@4.0.0

## 8.0.0

### Major Changes

- 047c1930: Removes `IdAllocator` class from package. Moving forward, use the `useIdAllocator` hook from the hooks package instead. This was done to better support server-side rendering.

## 7.0.0

### Major Changes

- 90321b36: Removes `validateAriaLabelProps` function from package. This can now be found in `@leafygreen-ui/a11y`

## 6.3.0

### Minor Changes

- 2f0775ec: Adds value for the left bracket key to enable easier handling of keyboard events for that key.

## 6.2.0

### Minor Changes

- 7df69248: Refactors the Toggle component to resolve bugs, improve maintainability, and improve accessibility for sighted and non-sighted users.

  - Refactors the internal DOM structure of the component to be as accessible as possible, and uses the appropriate role.
  - Restructures how the styles are structured in the component to improve maintainability.
  - Slightly increases contrast of the "ON" and "OFF" labels in the default size to meet WCAG AA contrast guidelines.
  - Hides the "ON" and "OFF" labels for screen readers so that only the current state of the Toggle is read.
  - Enforces use of `aria-label` and `aria-labelledby` so that Toggles always have screen reader accessible text associated with them.
  - Fixes a bug with the rendering of the focus state on Windows machines.
  - Uses the LeafyGreen Provider to conditionally show the focus state based on how the user is interacting with the page.

  Please read our [upgrade guide](https://github.com/mongodb/leafygreen-ui/blob/main/packages/toggle/UPGRADE.md) for more information on these changes.

## 6.1.2

### Patch Changes

- ee7923d3: Updates `HTMLElementProps` type, now accepting a generic for describing a RefType

## 6.1.1

### Patch Changes

- 9ee1d5fc: The "prop-types" package has moved from being a peer dependency to an explicit dependency

## 6.1.0

### Minor Changes

- 5cf0c95c: Added `enforceExhaustive` helper

## 6.0.1

### Patch Changes

- dac3f38b: Fixes a publishing error that prevented UMD modules from being distributed
- Updated dependencies [dac3f38b]
  - @leafygreen-ui/emotion@3.0.1

## 6.0.0

### Major Changes

- 0267bfd2: The underlying structure of distributed module definition files have changed and now have official support for ES modules. Module definition files are now generated using Rollup instead of Webpack. This should not affect functionality, but some thorough testing and caution should be exercised when upgrading.

### Patch Changes

- Updated dependencies [0267bfd2]
  - @leafygreen-ui/emotion@3.0.0

## 5.1.1

### Patch Changes

- 691eb05: Better support for UMD
- Updated dependencies [691eb05]
  - @leafygreen-ui/emotion@2.0.2

## 5.1.0

### Minor Changes

- 6aadc0b: Make id generation deterministic using IdAllocator.create class. This improves the SSR compatibility of these components.

## 5.0.0

### Major Changes

- 1aa26ee: Remove unnecessary testHelpers types

### Minor Changes

- a571361: Adds typeIs.array type guard method

### Patch Changes

- 2eba736: Remove testing library dependency

## 4.5.1

### Patch Changes

- 083eec3: Restore TS <3.8 compatibility that was broken from using the `import type` syntax.

## 4.5.0

### Minor Changes

- 1c797b3: Adds `OneOf` type helper

## 4.4.1

### Patch Changes

- 5aafd72: Adds Either utility type to lib

## 4.4.0

### Minor Changes

- da540d3: Adds RecursivePartial utility type to lib

## 4.3.1

### Patch Changes

- 704e25c: Adds missing testing library dependency

## 4.3.0

### Minor Changes

- 6eb9d26: Adds shared test helpers

## 4.2.0

### Minor Changes

- fabc1c9: `isComponentType` function now types the returned element more specifically, rather than just as `React.ReactElement`

## 4.1.0

### Minor Changes

- 11b2217: Adds enumerated `aria-current` values to lib for general use

### Patch Changes

- Updated dependencies [bd3bcd9]
  - @leafygreen-ui/emotion@2.0.1

## 4.0.0

### Major Changes

- 464c09d: Introduces SSR compatibility though a change to our build process and files

### Patch Changes

- Updated dependencies [464c09d]
  - @leafygreen-ui/emotion@2.0.0

## 3.2.0

### Minor Changes

- 2f9a300: Add `keyMap` to lib

## 3.1.0

### Minor Changes

- 9c45cb4: Add `isComponentType` function
